Skip to main content
GET
/
api
/
PlannedGift
/
{plannedGiftId}
Get Planned Gift
curl --request GET \
  --url https://api.virtuoussoftware.com/api/PlannedGift/{plannedGiftId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<integer>",
  "plannedGiftUrl": "<string>",
  "giftsAppliedUrl": "<string>",
  "contactId": "<integer>",
  "contactUrl": "<string>",
  "plannedGiftDate": "<string>",
  "pkannedGiftType": "<string>",
  "frequency": "<string>",
  "anticipatedAmount": "<string>",
  "anticipatedStartDate": "<string>",
  "numberOfOccurrences": "<integer>",
  "currentValue": "<string>",
  "fulfilled": "<string>",
  "projectId": "<integer>",
  "project": "<string>",
  "projectUrl": "<string>",
  "segmentId": "<integer>",
  "segment": "<string>",
  "segmentUrl": "<string>",
  "createDateTimeUtc": "<dateTime>",
  "createdByUser": "<string>",
  "modifiedDateTimeUtc": "<dateTime>",
  "modifiedByUser": "<string>",
  "customFields": [
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    },
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

plannedGiftId
string
required

(Required) The planned gift identifier.

Response

OK

id
string
plannedGiftUrl
string
giftsAppliedUrl
string
contactId
string
contactUrl
string
plannedGiftDate
string
pkannedGiftType
string
frequency
string
anticipatedAmount
string
anticipatedStartDate
string
numberOfOccurrences
string
currentValue
string
fulfilled
string
projectId
string
project
string
projectUrl
string
segmentId
string
segment
string
segmentUrl
string
createDateTimeUtc
string
createdByUser
string
modifiedDateTimeUtc
string
modifiedByUser
string
customFields
object[]
Last modified on June 5, 2026